echo off
echo -
echo -
echo -  This batch will install map for Mapsource
echo -
echo -  Map:  "PSP_AirMap"
echo -  FID:  48066
echo -  PID:  1
echo -
echo -  Press Enter to continue or Ctrl-C to abort.
echo -
pause

if exist "%~dp0mapset.img" goto :INSTREG
echo Compiling preview map.
cgpsmapper "mapset.mp"
if exist "%~dp0mapset.img" goto :INSTREG
echo File missing: mapset.img, aborting install.
pause
exit 1

:INSTREG
echo Adding registry keys.

set KEY=HKLM\SOFTWARE\Wow6432Node\Garmin\MapSource
if %PROCESSOR_ARCHITECTURE% == AMD64 goto key_ok
set KEY=HKLM\SOFTWARE\Garmin\MapSource
:key_ok

reg ADD %KEY%\Families\FAMILY_48066 /v ID /t REG_BINARY /d C2BB /f
if exist mapset_mdr.img (
	reg ADD %KEY%\Families\FAMILY_48066 /v IDX /t REG_SZ /d "%~dp0mapset.mdx" /f
	reg ADD %KEY%\Families\FAMILY_48066 /v MDR /t REG_SZ /d "%~dp0mapset_mdr.img" /f
)
if exist mapset.typ reg ADD %KEY%\Families\FAMILY_48066 /v TYP /t REG_SZ /d "%~dp0mapset.typ" /f
reg ADD %KEY%\Families\FAMILY_48066\1 /v Loc /t REG_SZ /d "%~dp0\" /f
reg ADD %KEY%\Families\FAMILY_48066\1 /v Bmap /t REG_SZ /d "%~dp0mapset.img" /f
reg ADD %KEY%\Families\FAMILY_48066\1 /v Tdb /t REG_SZ /d "%~dp0mapset.tdb" /f
pause
exit 0
